org.apache.olingo.odata2.jpa.processor.api.model

## Enum JPAEdmReferentialConstraintRoleView.RoleType

- java.lang.Object
- - java.lang.Enum<JPAEdmReferentialConstraintRoleView.RoleType>
  - - org.apache.olingo.odata2.jpa.processor.api.model.JPAEdmReferentialConstraintRoleView.RoleType

- All Implemented Interfaces:
    Serializable, Comparable<JPAEdmReferentialConstraintRoleView.RoleType>
  Enclosing interface:
    JPAEdmReferentialConstraintRoleView

      public static enum JPAEdmReferentialConstraintRoleView.RoleType
      extends Enum<JPAEdmReferentialConstraintRoleView.RoleType>

  Two types of EDM roles of a referential constraint.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEPENDENT`
    `PRINCIPAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPAEdmReferentialConstraintRoleView.RoleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JPAEdmReferentialConstraintRoleView.RoleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRINCIPAL

          public static final JPAEdmReferentialConstraintRoleView.RoleType PRINCIPAL

    - #### DEPENDENT

          public static final JPAEdmReferentialConstraintRoleView.RoleType DEPENDENT

  - ### Method Detail

    - #### values

          public static JPAEdmReferentialConstraintRoleView.RoleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPAEdmReferentialConstraintRoleView.RoleType c : JPAEdmReferentialConstraintRoleView.RoleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPAEdmReferentialConstraintRoleView.RoleType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.